com.sun.jna.platform.win32

## Class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

- Enclosing interface:
    WinNT

      public static class WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION
      extends Structure

  Describes the relationship between the specified processor set. This structure is used with the `Kernel32.GetLogicalProcessorInformation(com.sun.jna.Pointer, com.sun.jna.platform.win32.WinDef.DWORDByReference)` function.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructNumaNode`
    `static class` | `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousStructProcessorCore`
    `static class` | `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload` | `payload` A union of fields which differs depending on `relationship`.
    `BaseTSD.ULONG_PTR` | `processorMask` The processor mask identifying the processors described by this structure.
    `int` | `relationship` The relationship between the processors identified by the value of the `processorMask` member.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION()`
    `WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION(Pointer memory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()` Return this Structure's field names in their proper order.

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### processorMask

          public BaseTSD.ULONG_PTR processorMask

      The processor mask identifying the processors described by this structure. A processor mask is a bit vector in which each set bit represents an active processor in the relationship.

    - #### relationship

          public int relationship

      The relationship between the processors identified by the value of the `processorMask` member. This member can be one of `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationCache`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationNumaNode`, `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorCore` or `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP.RelationProcessorPackage`.
      See Also:
        `WinNT.LOGICAL_PROCESSOR_RELATIONSHIP`

    - #### payload

          public WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION.AnonymousUnionPayload payload

      A union of fields which differs depending on `relationship`.

  - ### Constructor Detail

    - #### WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

          public WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION()

    - #### WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION

          public WinNT.SYSTEM_LOGICAL_PROCESSOR_INFORMATION(Pointer memory)

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`

Copyright © 2007-2013 Timothy Wall. All Rights Reserved.